%define module_name overload-open
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(Module/Metadata.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.9.6
Release: alt4
Summary: Hooks the native string open() function
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SA/SAMCV/%{module_name}-%{version}.tar.gz

%description
This module hooks the native open() function and sends it to your
function instead. It passes the filename opened as its argument. It does this
using XS and replacing the OP_OPEN opcode with a custom one, which calls the
Perl function you supply, then calls the original OP_OPEN opcode.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.pod Changes LICENSE
%perl_vendor_archlib/o*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1.9.6-alt4
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 1.9.6-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.9.6-alt2
- rebuild with perl 5.30

* Thu Feb 13 2020 Igor Vlasenko <viy@altlinux.ru> 1.9.6-alt1
- updated by package builder

* Sat Jan 18 2020 Igor Vlasenko <viy@altlinux.ru> 1.9.1-alt1
- updated by package builder

* Sun Dec 15 2019 Igor Vlasenko <viy@altlinux.ru> 0.30.0-alt1
- updated by package builder

* Wed Dec 11 2019 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

